Installa la nostra app 🪄 clicca sull'icona nell'angolo in alto a destra della barra degli indirizzi.

Nomi di dominio

GET https://uptimeset.com/api/domain-names/
curl --request GET \
--url 'https://uptimeset.com/api/domain-names/' \
--header 'Authorization: Bearer {api_key}' \
Parametri Dettagli Descrizione
search Opzionale Stringa La stringa di ricerca.
search_by Opzionale Stringa Quale campo stai cercando. I valori consentiti sono: name, target.
is_enabled Opzionale Boolean
datetime_field Opzionale Stringa Valori consentiti: datetime, last_datetime, whois_start_datetime, whois_updated_datetime, whois_end_datetime, ssl_start_datetime, ssl_end_datetime
datetime_start Opzionale Stringa Filtra i risultati a partire da questa data e ora. Y-m-d H:i:s formato.
datetime_end Opzionale Stringa Filtra i risultati fino a questa data e ora. Y-m-d H:i:s formato.
order_by Opzionale Stringa In quale campo ordinare i risultati. I valori consentiti sono: domain_name_id, datetime, last_datetime, name, target, whois_start_datetime, whois_updated_datetime, whois_end_datetime, ssl_start_datetime, ssl_end_datetime.
order_type Opzionale Stringa L'ordinamento dei risultati. I valori consentiti sono: ASC per ordinamento crescente, e DESC per ordinamento decrescente.
page Opzionale Intero Il numero di pagina da cui desideri i risultati. Predefinito a 1.
results_per_page Opzionale Intero Quanti risultati vuoi per pagina. I valori consentiti sono: 10, 25, 50, 100, 250, 500, 1000. Predefinito è 25.
{
    "data": [
        {
            "id": 1,
            "user_id": 1,
            "project_id": 1,
            "name": "Example",
            "target": "Example",
            "whois": [],
            "whois_notifications": [],
            "ssl": {},
            "ssl_notifications": [],
            "total_checks": 1,
            "last_check_datetime": null,
            "next_check_datetime": null,
            "is_enabled": true,
            "last_datetime": null,
            "datetime": "2026-10-16 11:40:49"
        }
    ],
    "meta": {
        "page": 1,
        "total_pages": 1,
        "results_per_page": 25,
        "total_results": 1
    },
    "links": {
        "first": "https://uptimeset.com/api/domain-names?page=1",
        "last": "https://uptimeset.com/api/domain-names?page=1",
        "next": null,
        "prev": null,
        "self": "https://uptimeset.com/api/domain-names?page=1"
    }
}
GET https://uptimeset.com/api/domain-names/{domain_name_id}
curl --request GET \
--url 'https://uptimeset.com/api/domain-names/{domain_name_id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "user_id": 1,
        "project_id": 1,
        "name": "Example",
        "target": "Example",
        "whois": [],
        "whois_notifications": [],
        "ssl": {},
        "ssl_notifications": [],
        "total_checks": 1,
        "last_check_datetime": null,
        "next_check_datetime": null,
        "is_enabled": true,
        "last_datetime": null,
        "datetime": "2026-10-16 11:40:49"
    }
}
POST https://uptimeset.com/api/domain-names
Parametri Dettagli Descrizione
name Richiesto Stringa -
target Richiesto Stringa -
project_id Opzionale Intero -
whois_notifications Opzionale Array ID del gestore delle notifiche
whois_notifications_timing Opzionale Intero Valori consentiti: 1, 2, 3, 7, 14, 30, 60 (giorni)
ssl_notifications Opzionale Array ID del gestore delle notifiche
ssl_notifications_timing Opzionale Intero Valori consentiti: 1, 2, 3, 7, 14, 30, 60 (giorni)
is_enabled Opzionale Boolean -
curl --request POST \
--url 'https://uptimeset.com/api/domain-names' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'target=example.com' \
{
    "data": {
        "id": 1,
        "user_id": 1,
        "project_id": 1,
        "name": "Example",
        "target": "Example",
        "whois": null,
        "whois_notifications": [],
        "ssl": null,
        "ssl_notifications": [],
        "total_checks": 1,
        "last_check_datetime": null,
        "next_check_datetime": null,
        "is_enabled": true,
        "last_datetime": null,
        "datetime": "2026-10-16 11:40:49"
    }
}
POST https://uptimeset.com/api/domain-names/{domain_name_id}
Parametri Dettagli Descrizione
name Opzionale Stringa -
target Opzionale Stringa -
project_id Opzionale Intero -
whois_notifications Opzionale Array ID del gestore delle notifiche
whois_notifications_timing Opzionale Intero Valori consentiti: 1, 2, 3, 7, 14, 30, 60 (giorni)
ssl_notifications Opzionale Array ID del gestore delle notifiche
ssl_notifications_timing Opzionale Intero Valori consentiti: 1, 2, 3, 7, 14, 30, 60 (giorni)
is_enabled Opzionale Boolean -
curl --request POST \
--url 'https://uptimeset.com/api/domain-names/{domain_name_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
{
    "data": {
        "id": 1,
        "user_id": 1,
        "project_id": 1,
        "name": "Example",
        "target": "Example",
        "whois": [],
        "whois_notifications": [],
        "ssl": {},
        "ssl_notifications": [],
        "total_checks": 1,
        "last_check_datetime": null,
        "next_check_datetime": null,
        "is_enabled": true,
        "last_datetime": null,
        "datetime": "2026-10-16 11:40:49"
    }
}
DELETE https://uptimeset.com/api/domain-names/{domain_name_id}
curl --request DELETE \
--url 'https://uptimeset.com/api/domain-names/{domain_name_id}' \
--header 'Authorization: Bearer {api_key}' \